Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class StringCheckers

    java.lang.Object
      |
      +--jreqtools.StringCheckers

public class StringCheckers
extends java.lang.Object

Some string checkers for StringRequester.

Author:
  Markus Hillenbrand

Constructor Summary
`StringCheckers()`

Method Summary
`static StringChecker` | `getByteChecker()` Returns the checker for Integer values.
`static StringChecker` | `getDoubleChecker()` Returns the checker for Double values.
`static StringChecker` | `getFloatChecker()` Returns the checker for Float values.
`static StringChecker` | `getIntegerChecker()` Returns the checker for Integer values.
`static StringChecker` | `getJavaIdentifierChecker()` Returns the checker for a string which can be used as a Java identifier.
`static StringChecker` | `getJavaPackageChecker()` Returns the checker for a string which can be used as a Java package identifier.
`static StringChecker` | `getLongChecker()` Returns the checker for Integer values.
`static StringChecker` | `getShortChecker()` Returns the checker for Integer values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringCheckers

    public StringCheckers()

Method Detail

### getByteChecker

    public static StringChecker getByteChecker()

  Returns the checker for Integer values.

### getDoubleChecker

    public static StringChecker getDoubleChecker()

  Returns the checker for Double values.

### getFloatChecker

    public static StringChecker getFloatChecker()

  Returns the checker for Float values.

### getIntegerChecker

    public static StringChecker getIntegerChecker()

  Returns the checker for Integer values.

### getJavaIdentifierChecker

    public static StringChecker getJavaIdentifierChecker()

  Returns the checker for a string which can be used as a Java identifier.

### getJavaPackageChecker

    public static StringChecker getJavaPackageChecker()

  Returns the checker for a string which can be used as a Java package identifier.

### getLongChecker

    public static StringChecker getLongChecker()

  Returns the checker for Integer values.

### getShortChecker

    public static StringChecker getShortChecker()

  Returns the checker for Integer values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD